///
/// Hyperspace by HTML5 UP
/// html5up.net | @ajlkn
/// Free for personal and commercial use under the CCA 3.0 license (html5up.net/license)
///

/* Wrapper */

	.wrapper {
		position: relative;

		> .inner {
			@include padding(5em, 5em);
			max-width: 100%;
			width: _size(inner-width);

			@include breakpoint(xlarge) {
				@include padding(4em, 4em);
			}

			@include breakpoint(small) {
				@include padding(3em, 2em);
				max-width: 100%;
				margin-left: 0;
			}

			> .press-video-content {
				width: 100%;
				display: flex;
				flex-flow: row wrap;
				justify-content: center;
				> h4 {
					width: 100%;
				}
				> video {
					width: 75%;
					@include breakpoint(small) {
						width: 100%;	
					}
				}
			}

			> .press-articles {
				text-align: left;
				margin-left: 10em;
				@include breakpoint(small) {
					margin-left: 0;
				}
			}

			> .video {
				float: right;
				max-width: 45%;
				padding-top: 4.5em;
				padding-left: 3.5em;
				margin-left: 4em;
				@include breakpoint(small) {
				max-width: 100%;
				padding-left: 0;
				margin-left: 0;
				padding-bottom: 3.5em;
				}
				> video {
					max-width: 100%;
				}
				> h5 {
					font-weight: 400;
				}
			}

			.contribution {
				max-width: 90%;
				margin-left: _size(sidebar-glossary-width);

				a {
					color: _palette(fg-bold);
					font-weight: _font(weight-bold); 				
				}

				@include breakpoint(small) {
					@include padding(3em, 2em);
					margin-left: 0;
					max-width: 100%;
				}
			}

			&.glossary {
				@include breakpoint(large) {
				max-width: 100%;
				margin-top: 0;
				// margin-left: _size(sidebar-glossary-width);
				}
				> h2 {
					font-size: 1.75em;
					margin-bottom: .25em;
					padding: 0;	
				}
				@include breakpoint(medium) {
					max-width: 100%;
					margin: 0;
				}
			}
			
			&.memo {
				@include breakpoint(large) {
				max-width: 75%;
				margin-top: 0;
				margin-left: 25%;
				}
				@include breakpoint(small) {
					max-width: 100%;
					margin-top: 10em;
					margin-left: 0;
					}
				> p, h4, hr, li, blockquote {
					line-height: 1.55;
					max-width: 55%;
					text-align: left;
					@include breakpoint(small) {
						max-width: 100%;
					}
				}
				.footnotes {
					font-size: .70em;
					sup {
						font-size: .90em;
					}
				}
			}
		}

		&.alt {
			background-color: _palette(bg-alt);
		}

		&.style1 {
			background-color: _palette(accent1);
		}

		&.style1-alt {
			background-color: _palette(accent1-alt);
		}

		&.style2 {
			background-color: _palette(accent2);
		}

		&.style2-alt {
			background-color: _palette(accent2-alt);
		}

		&.style3 {
			background-color: _palette(accent3);
		}

		&.style3-alt {
			background-color: _palette(accent3-alt);
		}

		&.glossary {
			@include vendor('display', 'flex');
			@include vendor('flex-direction', 'column');
			@include vendor('justify-content', 'center');

			body.is-ie & {
				height: 100vh;
			}
		}

		&.fullscreen {
			@include vendor('display', 'flex');
			@include vendor('flex-direction', 'column');
			@include vendor('justify-content', 'center');
			min-height: 100vh;

			body.is-ie & {
				height: 100vh;
			}

			@include breakpoint(large) {
				min-height: calc(100vh - 2.5em);

				body.is-ie & {
					height: calc(100vh - 2.5em);
				}
			}

			@include breakpoint(small) {
				padding: 2em 0;
				min-height: 0;
				&#one {
					margin-top: 10em;
				}

				body.is-ie & {
					height: auto;
				}
			}
		}

		&.fade-up {
			> .inner {
				@include vendor('transform', 'translateY(0)');
				@include vendor('transition', (
					'opacity #{_duration(activation)} ease',
					'transform #{_duration(activation)} ease'
				));
				opacity: 1.0;
			}

			&.inactive,
			body.is-loading & {
				> .inner {
					opacity: 0;
					@include vendor('transform', 'translateY(1em)');
				}
			}
		}

		&.fade-down {
			> .inner {
				@include vendor('transform', 'translateY(0)');
				@include vendor('transition', (
					'opacity #{_duration(activation)} ease',
					'transform #{_duration(activation)} ease'
				));
				opacity: 1.0;
			}

			&.inactive,
			body.is-loading & {
				> .inner {
					opacity: 0;
					@include vendor('transform', 'translateY(-1em)');
				}
			}
		}

		&.fade {
			> .inner {
				@include vendor('transition', (
					'opacity #{_duration(activation)} ease'
				));
				opacity: 1.0;
			}

			&.inactive,
			body.is-loading & {
				> .inner {
					opacity: 0;
				}
			}
		}
	}